- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# alphabet_traits< AlphabetSet< L >, AlphabetDecorator< L, T > > Struct Template Reference
[Alphabet]

Meta information about the mixing of AlphabetSet with AlphabetDecorator. More...

List of all members.

## Public Types
typedef L | letter_t
| The type of letter hold by the alphabet.

## Detailed Description

### template<typename L, typename T>
struct vcsn::algebra::alphabet_traits< AlphabetSet< L >, AlphabetDecorator< L, T > >

Meta information about the mixing of AlphabetSet with AlphabetDecorator.

Definition at line 87 of file decorated_alphabet.hh.